Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

PHP compatibility Problem with PHP 7.2.17-1+ubuntu18.04.1 with OroCommerce 3.1.6 #94

Closed
kkrieger85 opened this issue May 9, 2019 · 2 comments

Comments

2 participants
@kkrieger85
Copy link

commented May 9, 2019

After PHP upgrade to PHP 7.2.17-1+ubuntu18.04.1 we face memory issues:

10:23:07 c-1446 ~/PATH/TO/OROCOMMERCE $ php bin/console cache:clear  --env=prod

 // Clearing the cache for the prod environment with debug false
mmap() failed: [12] Cannot allocate memory

mmap() failed: [12] Cannot allocate memory
PHP Fatal error:  Out of memory (allocated 6553866240) (tried to allocate 4294967304 bytes) in /var/www/share/oroapp-3.1.6/vendor/symfony/symfony/src/Symfony/Component/Intl/Data/Bundle/Reader/BundleEntryReader.php on line 134

In BundleEntryReader.php line 134:

  Error: Out of memory (allocated 6553866240) (tried to allocate 4294967304 bytes)
php -v
PHP 7.2.17-1+ubuntu18.04.1+deb.sury.org+3 (cli) (built: Apr 10 2019 10:50:57) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.2.17-1+ubuntu18.04.1+deb.sury.org+3, Copyright (c) 1999-2018, by Zend Technologies

Used Orocommerce Version: 3.1.6
Default Installation with composer create-project

It ran without problems before PHP upgrade.

Maybe reference: https://forum.oroinc.com/orocommerce/topic/cant-clear-cache-anymore-trying-to-allocate-more-8gb-on-top-of-existing-16-gb

@kkrieger85

This comment has been minimized.

Copy link
Author

commented May 9, 2019

Excerpt from my composer.lock:

 "name": "symfony/symfony",
            "version": "v3.4.20",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/symfony.git",
                "reference": "f6b8ddc362b1cf3fb06548693c3adbb736092412"
            },

related issue: oroinc/platform#912

@mbessolov

This comment has been minimized.

Copy link
Contributor

commented May 9, 2019

I'll close this as a duplicate of oroinc/platform#912
We are working on upgrading Symfony to 3.4.26/3.4.27 where this problem is fixed.

For now there are 2 options:

  • do not use Ondrej's repository to upgrade PHP (the problem is tied to libicu 64.1, which is the one that Ondrej started to link his recent PHP versions to)
  • apply the patch from oroinc/platform#912 to Symfony

@mbessolov mbessolov closed this May 9, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.